rte_event_crypto_adapter_stats(3)

NAME
rte_event_crypto_adapter_stats

SYNOPSIS

#include <rte_event_crypto_adapter.h>

  Data Fields

uint64_t event_poll_count
uint64_t event_deq_count
uint64_t crypto_enq_count
uint64_t crypto_enq_fail
uint64_t crypto_deq_count
uint64_t event_enq_count
uint64_t event_enq_retry_count
uint64_t event_enq_fail_count

Detailed Description

A structure used to retrieve statistics for an event crypto adapter instance.

Definition at line 386 of file rte_event_crypto_adapter.h.

Field Documentation

  uint64_t event_poll_count
Event port poll count

Definition at line 387 of file rte_event_crypto_adapter.h.

  uint64_t event_deq_count
Event dequeue count

Definition at line 389 of file rte_event_crypto_adapter.h.

  uint64_t crypto_enq_count
Cryptodev enqueue count

Definition at line 391 of file rte_event_crypto_adapter.h.

  uint64_t crypto_enq_fail
Cryptodev enqueue failed count

Definition at line 393 of file rte_event_crypto_adapter.h.

  uint64_t crypto_deq_count
Cryptodev dequeue count

Definition at line 395 of file rte_event_crypto_adapter.h.

  uint64_t event_enq_count
Event enqueue count

Definition at line 397 of file rte_event_crypto_adapter.h.

  uint64_t event_enq_retry_count
Event enqueue retry count

Definition at line 399 of file rte_event_crypto_adapter.h.

  uint64_t event_enq_fail_count
Event enqueue fail count

Definition at line 401 of file rte_event_crypto_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.